'use strict'

exports.handleRequest = handleRequest

// Handle the HTTP request
function handleRequest (req, res) {
  const context = req.nsConsole.context

  if (!context.provider &&
      context.provider.license &&
      context.provider.license.token &&
      context.provider.license.valid) {
    res.status(404)
    res.end()
  }

  res.status(200)
  res.send(context.provider.license.token + '\n')
}
