'use strict'

exports.handleRequest = handleRequest

const util = require('../../util')
const Logger = util.getLogger(__dirname, __filename)

// Handle the HTTP request
function handleRequest (req, res) {
  Logger.debug(`handleRequest(${JSON.stringify(req.body)})`)

  const context = req.nsConsole.context

  context.provider.resetLicense()
  res.status(200)
  res.send({ status: 'Reset' })
}
